/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.jmx;

import org.junit.After;
import org.junit.Before;
import org.ow2.petals.jmx.api.api.PetalsJmxApiFactory;
import org.ow2.petals.jmx.api.mock.PetalsJmxApiFactoryMock;

/**
 * Abstract class for unit test of Petals Admin API (JMX Implementation). It enable the Mock of the JMX API as
 * implementation of the Petals JMX API.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class JMXAbstractAdministrationTest {

    @Before
    public void setup() {
        System.setProperty(PetalsJmxApiFactory.PROPERTY_NAME,
                PetalsJmxApiFactoryMock.class.getName());
    }

    @After
    public void tearDown() {
        PetalsJmxApiFactory.close();
        System.clearProperty(PetalsJmxApiFactory.PROPERTY_NAME);
    }

}
